## shim-signed 1.1

=== Makefile ===
all:

check:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt shim.efi.signed
	# Verifying that we have the correct binary.
	cp shim.efi.signed build/
	sbattach --remove build/shim.efi.signed
	cmp build/shim.efi.signed /usr/lib/shim/shim.efi

clean:
	rm -rf build

=== debian/changelog ===
shim-signed (1.1) quantal-proposed; urgency=low

  * Rev shim-signed for updated shim.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Oct 2012 01:42:07 +0000

shim-signed (1.0) quantal; urgency=low

  * Initial release, based on grub2-signed package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Oct 2012 15:48:37 -0700

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
Build-Depends: debhelper (>= 9), shim
Standards-Version: 3.9.4

Package: shim-signed
Architecture: amd64
Depends: ${misc:Depends}
Built-Using: shim (= ${shim:Version})
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

## shim-signed 1.2

=== debian/changelog ===
shim-signed (1.2) raring; urgency=low

  * Recommend secureboot-db (LP: #1087843).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 16 Feb 2013 00:02:00 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: shim-signed
 Architecture: amd64
 Depends: ${misc:Depends}
+Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying

=== debian/rules ===
#! /usr/bin/make -f

VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
SHIM_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim)

%:
	dh $@

docdir := debian/shim-signed/usr/share/doc/shim-signed

override_dh_auto_test:
	# No testing because sbverify doesn't work with the signed binary
	# we got back from MS, even though it boots correctly

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(VERSION)+$(SHIM_VERSION) \
		-Vshim:Version=$(SHIM_VERSION)

## shim-signed 1.3

=== debian/changelog ===
shim-signed (1.3) saucy; urgency=low

  * Build-depend on sbsigntool (>= 0.6-0ubuntu4) and check the integrity of
    our signed binary at build time.
  * Update to the signed 0.4-0ubuntu3 binary from Microsoft.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 07 Sep 2013 22:09:22 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
-Build-Depends: debhelper (>= 9), shim
+Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4)
 Standards-Version: 3.9.4
 
 Package: shim-signed

## shim-signed 1.5~12.04.2

=== debian/changelog ===
shim-signed (1.5~12.04.2) precise; urgency=low

  * Revert part of the previous fix as it turned out to be incompatible
    with precise's grub version. (LP: #1250611)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 12 Nov 2013 21:16:19 -0500

shim-signed (1.5~12.04.1) precise; urgency=low

  * Backport to Ubuntu 12.04 LTS.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Nov 2013 10:29:43 -0800

shim-signed (1.5) trusty; urgency=low

  * Pass --target=x86_64-efi to grub-install from the postinst and depend on
    grub-efi-amd64-bin, so that package upgrades will do the right thing
    even if the system has been rebooted under BIOS.  LP: #1246910.
  * Kubuntu sets GRUB_DISTRIBUTOR to a different value which doesn't match
    the path under /boot/efi; fix this up so shim-signed upgrades properly
    on Kubuntu systems.  LP: #1242417.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2013 17:06:21 -0700

shim-signed (1.4.0~ubuntu12.04.1) precise; urgency=low

  * Backport to Ubuntu 12.04 LTS. (LP: #1229572)
  * Change dependency on sbsigntool from 0.6-0ubuntu4 to 0.6-0ubuntu4~

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Nov 2013 12:14:39 -0500

shim-signed (1.4) trusty; urgency=low

  * Add a dependency on shim, so that we can pull in MokManager for use.    
  * Update to the signed 0.4-0ubuntu4 binary from Microsoft.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 30 Oct 2013 15:04:23 -0700

## shim-signed 1.5~12.10.1

=== debian/changelog ===
shim-signed (1.5~12.10.1) quantal; urgency=low

  * Backport to Ubuntu 12.10.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Nov 2013 10:36:26 -0800

shim-signed (1.4.0~ubuntu12.10.1) quantal; urgency=low

  * Backport to Ubuntu 12.10. (LP: #1229572)
  * Change dependency on sbsigntool from 0.6-0ubuntu4 to 0.6-0ubuntu4~

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Nov 2013 12:14:39 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
-Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4)
+Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4~)
 Standards-Version: 3.9.4
 
 Package: shim-signed
 Architecture: amd64
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

## shim-signed 1.5~13.04.1

=== debian/changelog ===
shim-signed (1.5~13.04.1) raring; urgency=low

  * Backport to Ubuntu 13.04.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Nov 2013 10:45:25 -0800

shim-signed (1.4.0~ubuntu13.04.1) raring; urgency=low

  * Backport to Ubuntu 13.04. (LP: #1229572)
  * Change dependency on sbsigntool from 0.6-0ubuntu4 to 0.6-0ubuntu4~

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Nov 2013 12:14:39 -0500

## shim-signed 1.5~13.10.1

=== debian/changelog ===
shim-signed (1.5~13.10.1) saucy; urgency=low

  * Backport to Ubuntu 13.10.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Nov 2013 10:47:35 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
-Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4~)
+Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4)
 Standards-Version: 3.9.4
 
 Package: shim-signed

## shim-signed 1.6

=== debian/changelog ===
shim-signed (1.6) trusty; urgency=low

  * Also add a build-dependency on grub2-common, to ensure that our
    grub-install is the correct one - since grub-efi-amd64-bin is
    coinstallable with grub1.  LP: #1259558.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Dec 2013 09:10:23 -0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: shim-signed
 Architecture: amd64
-Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin
+Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

## shim-signed 1.8

=== debian/changelog ===
shim-signed (1.8) utopic; urgency=medium

  * Update to the signed 0.7-0ubuntu4 binary from Microsoft.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 Oct 2014 18:23:15 -0400

## shim-signed 1.9

=== debian/changelog ===
shim-signed (1.9) wily; urgency=medium

  * Update to the signed 0.8-0ubuntu2 binary from Microsoft.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Jun 2015 19:27:35 +0000

## shim-signed 1.11

=== debian/changelog ===
shim-signed (1.11) wily; urgency=medium

  * Add in an apport package hook for shim-signed and shim. (LP: #1490030)

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Sep 2015 15:04:31 -0700

shim-signed (1.10) wily; urgency=medium

  * Add a versioned dependency on grub2-common, so that partial upgrades from
    Ubuntu 12.04 don't break due to a lack of --target option to grub-install.
    LP: #1474203.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Jul 2015 10:46:41 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: shim-signed
 Architecture: amd64
-Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common
+Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.00)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

## shim-signed 1.12

=== Makefile ===
all:

check:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt shim.efi.signed
	# Verifying that we have the correct binary.
	sbattach --detach build/detached-sig shim.efi.signed 
	cp /usr/lib/shim/shim.efi build/shim.efi.signed
	sbattach --attach build/detached-sig build/shim.efi.signed
	cmp shim.efi.signed build/shim.efi.signed

clean:
	rm -rf build

=== debian/changelog ===
shim-signed (1.12) xenial; urgency=medium

  * debian/control: add Depends on mokutil, to ship a way for users to
    control shim features, such as enrolling new keys.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 16 Dec 2015 10:19:23 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: shim-signed
 Architecture: amd64
-Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.00)
+Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.00), mokutil
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,6 @@
 
 docdir := debian/shim-signed/usr/share/doc/shim-signed
 
-override_dh_auto_test:
-	# No testing because sbverify doesn't work with the signed binary
-	# we got back from MS, even though it boots correctly
-
 override_dh_installchangelogs:
 	dh_installchangelogs
 	# Quieten lintian, which otherwise gets confused by our odd version

## shim-signed 1.18~12.04.1

=== debian/changelog ===
shim-signed (1.18~12.04.1) precise; urgency=medium

  * update-secureboot-policy:  If /proc/sys/kernel/moksbstate_disabled is
    present, prefer this unconditionally over MokSBStateRT.  LP: #1604873.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 Jul 2016 16:22:42 -0700

shim-signed (1.17~12.04.1) precise; urgency=medium

  * Backport shim-signed 1.17 to 12.04. (LP: #1574727)
  * debian/shim-signed.postinst: don't use --target to install the binary.
  * debian/control:
    - soften the Depends on grub-common; since we don't use --target.
    - allow using the backported versions of sbsigntool as a Build-Depends.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 07 Jul 2016 20:17:24 -0400

shim-signed (1.17) yakkety; urgency=medium

  * update-secureboot-policy: rework setting capabilities to stop having
    the backup capability while showing an error message; which won't affect
    the Dialog debconf frontend but otherwise made the GTK frontend confusing.
  * update-secureboot-policy: all debconf prompts should be at priority
    critical: there is no good default to pick, we must prompt the user.
  * debian/templates: make the password inputs be standard inputs; this is an
    unfortunate workaround to aptdaemon not having access to the debconf
    password database on desktop; since the frontend runs as an unprivileged
    user. See bug LP#1599981 (LP: #1599051)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 07 Jul 2016 16:58:45 -0400

shim-signed (1.16) yakkety; urgency=medium

  * debian/shim-signed.postinst: call for the trigger on update of shim-signed.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 28 Jun 2016 17:34:23 -0400

shim-signed (1.15) yakkety; urgency=medium

  * update-secureboot-policy: validate the state of MokSBStateRT against what
    the kernel believes it to be via /proc/sys/kernel/moksbstate_disabled,
    in case we have the kernel which knows about shim's validation policy but
    an old shim that doesn't export MokSBStateRT.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 17 Jun 2016 16:47:40 +0300

shim-signed (1.14) yakkety; urgency=medium

  * update-secureboot-policy:
    - Make it easier for users to really re-enable Secure Boot via an --enable
      option.
    - Don't prompt for action if there are no DKMS packages installed, as per
      checking if there are any subdirectories in /var/lib/dkms.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 07 Jun 2016 16:09:53 -0400

shim-signed (1.13) yakkety; urgency=medium

  * update-secureboot-policy: have a trigger-ready script available to deal
    with the necessity to change Secure Boot policy on a system.
  * debian/shim-signed.templates: ship the necessary templates for secureboot.
  * debian/shim-signed.postinst: Run our trigger script to update Secure Boot
    policy when necessary at the end of installs, without calling dpkg-trigger
    again.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 16 May 2016 15:29:27 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
-Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4)
+Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4~), po-debconf
 Standards-Version: 3.9.4
 
 Package: shim-signed
 Architecture: amd64
-Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.00), mokutil
+Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common, mokutil
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

## shim-signed 1.18~15.10.1

=== debian/changelog ===
shim-signed (1.18~15.10.1) wily; urgency=medium

  * update-secureboot-policy:  If /proc/sys/kernel/moksbstate_disabled is
    present, prefer this unconditionally over MokSBStateRT.  LP: #1604873.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 Jul 2016 16:20:26 -0700

shim-signed (1.17~15.10.1) wily; urgency=medium

  * Backport shim-signed 1.17 to 15.10. (LP: #1574727)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 07 Jul 2016 20:17:24 -0400

## shim-signed 1.21.3

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	sbattach --detach build/detached-sig shim.efi.signed 
 	cp /usr/lib/shim/shim.efi build/shim.efi.signed
 	sbattach --attach build/detached-sig build/shim.efi.signed
-	cmp shim.efi.signed build/shim.efi.signed
+	# DISABLED binary comparison (LP: #1624096)
+	#cmp shim.efi.signed build/shim.efi.signed
 
 clean:
 	rm -rf build

=== debian/changelog ===
shim-signed (1.21.3) vivid; urgency=medium

  * No-change rebuild for shim 0.9+1465500757.14a5905.is.0.8-0ubuntu3.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 06 Oct 2016 19:20:36 -0400

shim-signed (1.21.2) vivid; urgency=medium

  * Revert to signed shim from 0.8-0ubuntu2. (LP: #1624096)
    - shim.efi.signed originally built from shim 0.8-0ubuntu2 in wily. 

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 03 Oct 2016 17:17:54 -0400

shim-signed (1.20) yakkety; urgency=medium

  * Update to the signed 0.9+1465500757.14a5905-0ubuntu1 binary from Microsoft.
    (LP: #1581299)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 08 Aug 2016 11:14:21 -0400

shim-signed (1.19) yakkety; urgency=medium

  * update-secureboot-policy:
    - Add a --help option, document other options. (LP: #1604936)
    - Rework prompting to display our Secure Boot warning and explanation
      text more prominently, rather than forcing graphical users to hit
      "Help" to see the full explanation for why we ask about disabling
      Secure Boot. (LP: #1595611)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 02 Aug 2016 11:01:50 -0400

shim-signed (1.18) yakkety; urgency=medium

  * update-secureboot-policy:  If /proc/sys/kernel/moksbstate_disabled is
    present, prefer this unconditionally over MokSBStateRT.  LP: #1604873.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 Jul 2016 08:31:17 -0700

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
-Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4~), po-debconf
+Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf
 Standards-Version: 3.9.4
 
 Package: shim-signed
 Architecture: amd64
-Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common, mokutil
+Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.00), mokutil
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

## shim-signed 1.27~16.10.1

=== debian/changelog ===
shim-signed (1.27~16.10.1) yakkety; urgency=medium

  * Backport shim 0.9+1474479173.6c180c6-1ubuntu1 to 16.10. (LP: #1637290)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 23 Mar 2017 16:58:44 -0400

shim-signed (1.27) zesty; urgency=medium

  [ Steve Langasek ]
  * Update to the signed 0.9+1474479173.6c180c6-1ubuntu1 binary from
    Microsoft.
  * update-secureboot-policy:
    - detect when we have no debconf prompting and error out instead of ending
      up in an infinite loop.  LP: #1673817.
    - refactor to make the code easier to follow.
    - remove a confusing boolean that would always re-prompt on a request to
      --enable, but not on a request to --disable.

  [ Mathieu Trudel-Lapierre ]
  * update-secureboot-policy:
    - some more fixes to properly handle non-interactive mode. (LP: #1673817)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 21 Mar 2017 14:28:46 -0400

shim-signed (1.23) zesty; urgency=medium

  * debian/control: bump the Depends on grub2-common since that's needed to
    install with the new updated EFI binaries filenames.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 21 Oct 2016 13:31:05 -0400

shim-signed (1.22) yakkety; urgency=medium

  * Update to the signed 0.9+1474479173.6c180c6-0ubuntu1 binary from Microsoft.
    (LP: #1581299)
  * Update paths now that the shim binary has been renamed to include the
    target architecture.
  * debian/shim-signed.postinst: clean up old MokManager.efi from EFI/ubuntu;
    since it's being replaced by mm$arch.efi.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 13 Oct 2016 13:49:17 -0400

## shim-signed 1.28

=== Makefile ===
all:

check:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt shimx64.efi.signed
	# Verifying that we have the correct binary.
	sbattach --detach build/detached-sig shimx64.efi.signed 
	cp /usr/lib/shim/shimx64.efi build/shimx64.efi.signed
	sbattach --attach build/detached-sig build/shimx64.efi.signed
	cmp shimx64.efi.signed build/shimx64.efi.signed

clean:
	rm -rf build

=== debian/changelog ===
shim-signed (1.28) zesty; urgency=medium

  * Adjust apport hook to include key files that tell us about the system's
    current SB state.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 05 Apr 2017 15:14:49 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: shim-signed
 Architecture: amd64
-Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.00), mokutil
+Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.02~beta2-36ubuntu12), mokutil
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

## shim-signed 1.28+nmu1

=== debian/changelog ===
shim-signed (1.28+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix debconf templates, Closes: #910986, #860720.
  * Update German translation, thanks Markus Hiereth,
    Closes: #879009, #913463.
  * Update Dutch translation, thanks Frans Spiesschaert,
    Closes: #862209, #914531.
  * Update French translation, thanks Alban Vidal, Closes: #864869, #913563.
  * Update Portuguese translation, thanks Rui Branco,
    Closes: #870665, #912886.
  * Added Czech translation, thanks Michal Simunek, Closes: #913294.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 04 Nov 2018 08:09:26 +0100

shim-signed (1.28) unstable; urgency=medium

  * Initial Debian upload, based on Ubuntu package.

 -- Steve Langasek <vorlon@debian.org>  Fri, 14 Apr 2017 21:44:06 +0000

## shim-signed 1.30

=== Makefile ===
all:

check:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt shim$(EFI_ARCH).efi.signed
	# Verifying that we have the correct binary.
	sbattach --detach build/detached-sig shim$(EFI_ARCH).efi.signed 
	cp /usr/lib/shim/shim$(EFI_ARCH).efi build/shim$(EFI_ARCH).efi.signed
	sbattach --attach build/detached-sig build/shim$(EFI_ARCH).efi.signed
	cmp shim$(EFI_ARCH).efi.signed build/shim$(EFI_ARCH).efi.signed

clean:
	rm -rf build

=== debian/changelog ===
shim-signed (1.30) unstable; urgency=medium

  * Force the built-using version to be 15+1533136590.3beb971-6. That
    *does* match the source we've used, we're only using -5 due to
    toolchain changes elsewhere. Ick :-(

 -- Steve McIntyre <93sam@debian.org>  Tue, 23 Apr 2019 00:01:10 +0100

shim-signed (1.29) unstable; urgency=medium

  * New signed binaries available from MS for amd64, arm64 and i386
  * Change maintainer to be the EFI team
  * Update the build-depends
    + Specifically depend on sbsigntool (>= 0.9.2-2) to fix a bug in the
      PE/COFF checksum that otherwise breaks the build
  * Tweak the binary package setup a lot
    + We're now building for 3 arches
    + Depend on the right grub-efi-$arch-bin package for each arch
    + Depend on the right shim-helpers-$arch-signed package for each
      arch
    + Remove the old Replaces: and Breaks:, as we don't clash with files
      from the shim binary package any more.
  * Stop copying helper binaries into our package now
    + We just depend on shim-helpers-ARCH-signed now
  * Tweak build, don't assume amd64
  * Add lintian overrides for things we can't really change:
    + We're including pre-built binaries, as that's where our signatures
      are coming from. We have the matching source in the shim source
      package.
  * Update Standards-Version to 4.3.0 (no changes needed)

 -- Steve McIntyre <93sam@debian.org>  Mon, 22 Apr 2019 22:57:55 +0100

shim-signed (1.28+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * (Still) explicitly uploading from a chroot with older binaries
    installed for shim and sbsigntool, and update Build-Depends to
    point to those speficic versions. This package will *not* function
    with other versions installed.
  * Add Breaks: shim (<= 0.9+1474479173.6c180c6-1), Closes: #924100
  * +nmu2 fixed the installability problem caused by waiting for
    Microsoft's signature on the new shim packages. Closes: #922179

 -- Steve McIntyre <93sam@debian.org>  Sat, 09 Mar 2019 23:52:41 +0000

shim-signed (1.28+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Copy the helper binaries from the shim binary so that we no longer
    need to depend on it. See #922179 for more details. Add a Replaces:
    shim and to allow us to over-write binaries there.
  * Explicitly uploading in a chroot with older binaries installed for
    shim and sbsigntool, and update Build-Depends to point to those
    speficic versions. This package will *not* function with other
    versions installed.

 -- Steve McIntyre <93sam@debian.org>  Sun, 03 Mar 2019 22:33:41 +0000

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 9),
# Need shim-unsigned version 15+1533136590.3beb971-5 so we can check the
# signature on the right version of shim. Version -6 saw arm64 toolchain
# changes that changed the binary. Ugh. :-(
 shim-unsigned (= 15+1533136590.3beb971-5),
# sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
# which broke our build
 sbsigntool (>= 0.9.2-2),
 po-debconf
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git

Package: shim-signed
Architecture: amd64 i386 arm64
Depends: ${misc:Depends},
 grub-efi-amd64-bin [amd64],
 shim-helpers-amd64-signed (>= 1+15+1533136590.3beb971+5) [amd64],
 grub-efi-ia32-bin [i386],
 shim-helpers-i386-signed (>= 1+15+1533136590.3beb971+5) [i386],
 grub-efi-arm64-bin [arm64],
 shim-helpers-arm64-signed (>= 1+15+1533136590.3beb971+5) [arm64],
 grub2-common (>= 2.02+dfsg1-16),
 mokutil
Recommends: secureboot-db
Built-Using: shim (= 15+1533136590.3beb971-6)
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,19 @@
 #! /usr/bin/make -f
 
 VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
-SHIM_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim)
+SHIM_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim-unsigned)
+
+include /usr/share/dpkg/architecture.mk
+
+ifeq ($(DEB_HOST_ARCH),amd64)
+export EFI_ARCH := x64
+endif
+ifeq ($(DEB_HOST_ARCH),arm64)
+export EFI_ARCH := aa64
+endif
+ifeq ($(DEB_HOST_ARCH),i386)
+export EFI_ARCH := ia32
+endif
 
 %:
 	dh $@

## shim-signed 1.32~16.10.1

=== debian/changelog ===
shim-signed (1.32~16.10.1) yakkety; urgency=medium

  * Backport shim-signed 1.32 to 16.10. (LP: #1700170)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 10 Jul 2017 17:27:42 -0400

shim-signed (1.32) artful; urgency=medium

  * Handle cleanup of /var/lib/shim-signed on package purge.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Jun 2017 22:30:42 -0700

shim-signed (1.31) artful; urgency=medium

  * Fix regression in postinst when /var/lib/dkms does not exist.
    (LP#1700195)
  * Sort the list of dkms modules when recording.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Jun 2017 22:13:40 -0700

shim-signed (1.30) artful; urgency=medium

  * update-secureboot-policy: track the installed DKMS modules so we can skip
    failing unattended upgrades if they hasn't changed (ie. if no new DKMS
    modules have been installed, just honour the user's previous decision to
    not disable shim validation). (LP: #1695578)
  * update-secureboot-policy: allow re-enabling shim validation when no DKMS
    packages are installed. (LP: #1673904)
  * debian/source_shim-signed.py: add the textual representation of SecureBoot
    and MokSBStateRT EFI variables rather than just adding the files directly;
    also, make sure we include the relevant EFI bits from kernel log.
    (LP: #1680279)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 23 Jun 2017 14:37:21 -0400

shim-signed (1.29) artful; urgency=medium

  * Makefile: Generate BOOT$arch.CSV, for use with fallback.
  * debian/rules: make sure we can do per-arch EFI files.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 26 Apr 2017 21:36:57 -0400

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf
Standards-Version: 3.9.4

Package: shim-signed
Architecture: amd64
Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.02~beta2-36ubuntu11.1), mokutil
Recommends: secureboot-db
Built-Using: shim (= ${shim:Version})
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

## shim-signed 1.32~17.04.1

=== debian/changelog ===
shim-signed (1.32~17.04.1) zesty; urgency=medium

  * Backport shim-signed 1.32 to 17.04. (LP: #1700170)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 10 Jul 2017 17:10:08 -0400

## shim-signed 1.32

=== Makefile ===
all: BOOT$(EFI_ARCH).CSV

BOOT$(EFI_ARCH).CSV:
	sed 's/<EFI_ARCH>/$(shell echo ${EFI_ARCH} | tr '[A-Z]' '[a-z]')/g' boot.csv.in > boot.csv
	iconv -t UCS-2 -o BOOT$(EFI_ARCH).CSV boot.csv
	
check:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt shimx64.efi.signed
	# Verifying that we have the correct binary.
	sbattach --detach build/detached-sig shimx64.efi.signed 
	cp /usr/lib/shim/shimx64.efi build/shimx64.efi.signed
	sbattach --attach build/detached-sig build/shimx64.efi.signed
	cmp shimx64.efi.signed build/shimx64.efi.signed

clean:
	rm -rf build boot.csv BOOT$(EFI_ARCH).CSV

## shim-signed 1.33

=== Makefile ===
all:

check:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt shim$(EFI_ARCH).efi.signed
	# Verifying that we have the correct binary.
	sbattach --detach build/detached-sig shim$(EFI_ARCH).efi.signed 
	cp /usr/lib/shim/shim$(EFI_ARCH).efi build/shim$(EFI_ARCH).efi.signed
	sbattach --attach build/detached-sig build/shim$(EFI_ARCH).efi.signed
	cmp shim$(EFI_ARCH).efi.signed build/shim$(EFI_ARCH).efi.signed
	sha256sum shim$(EFI_ARCH).efi.signed build/shim$(EFI_ARCH).efi.signed

clean:
	rm -rf build

=== debian/changelog ===
shim-signed (1.33) unstable; urgency=medium

  * Build against new signed binaries corresponding to
    15+1533136590.3beb971-7
  * Update Build-Depends and Depends to match. Closes: #928107
  * Drop the hard-coded version in Built-Using; pick up the version of
    shim we're using properly.
  * Display the sha256sums of the binaries as we check them

 -- Steve McIntyre <93sam@debian.org>  Sun, 09 Jun 2019 17:32:54 +0100

shim-signed (1.32) unstable; urgency=medium

  * Add Breaks/Replaces to shim-signed-common for
    update-secureboot-policy etc. Closes: #929673

 -- Steve McIntyre <93sam@debian.org>  Tue, 28 May 2019 14:23:54 +0100

shim-signed (1.31) unstable; urgency=medium

  * update-secureboot-policy: fix error if /var/lib/dkms does not
    exist. Closes: #923718
  * Separate the helper scripts into a new shim-signed-common package,
    apart from the actual signed shim binaries so that we can
    sensibly support co-installability using Multi-Arch.
    Closes: #928486
  * Add/update translations:
    + Italian (Closes: #915993, thanks to Beatrice Torracca)
    + Swedish (Closes: #921410, thanks to Matrin Bagge)
    + Russian (Closes: #922229, thanks to Lev Lamberov)
    + Dutch (Closes: #917580, #926664, thanks to Frans Spiesschaert)
  * Remove doc link used to quieten old lintian versions

 -- Steve McIntyre <93sam@debian.org>  Mon, 27 May 2019 23:02:10 +0100

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 9),
 shim-unsigned (= 15+1533136590.3beb971-7),
# sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
# which broke our build
 sbsigntool (>= 0.9.2-2),
 po-debconf
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git

Package: shim-signed
Architecture: amd64 i386 arm64
Multi-Arch: same
Depends: ${misc:Depends},
 grub-efi-amd64-bin [amd64],
 shim-helpers-amd64-signed (>= 1+15+1533136590.3beb971+7) [amd64],
 grub-efi-ia32-bin [i386],
 shim-helpers-i386-signed (>= 1+15+1533136590.3beb971+7) [i386],
 grub-efi-arm64-bin [arm64],
 shim-helpers-arm64-signed (>= 1+15+1533136590.3beb971+7) [arm64],
 grub2-common (>= 2.02+dfsg1-16)
Recommends: secureboot-db
Built-Using: shim (= ${shim:Version})
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

Package: shim-signed-common
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, mokutil
Replaces: shim-signed (<< 1.32+15+1533136590.3beb971-5)
Breaks: shim-signed (<< 1.32+15+1533136590.3beb971-5)
Description: Secure Boot chain-loading bootloader (common helper scripts)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains common helper scripts for all versions of the
 shim-signed package.

=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,17 @@
 %:
 	dh $@
 
-docdir := debian/shim-signed/usr/share/doc/shim-signed
+docdir := debian/shim-signed-common/usr/share/doc/shim-signed-common
 
 override_dh_installchangelogs:
-	dh_installchangelogs
-	# Quieten lintian, which otherwise gets confused by our odd version
-	# number.
-	ln $(docdir)/changelog $(docdir)/changelog.Debian
+	dh_installchangelogs -p shim-signed-common
+
+override_dh_installdocs:
+	dh_installdocs -p shim-signed-common
+	dh_installdocs --remaining-packages --link-doc=shim-signed-common
+
+override_dh_installdebconf:
+	dh_installdebconf -p shim-signed-common
 
 override_dh_gencontrol:
 	dh_gencontrol -- -v$(VERSION)+$(SHIM_VERSION) \

## shim-signed 1.33.1~14.04.5

=== Makefile ===
check:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt shimx64.efi.signed
	# Verifying that we have the correct binary.
	sbattach --detach build/detached-sig shimx64.efi.signed 
	cp /usr/lib/shim/shimx64.efi build/shimx64.efi.signed
	sbattach --attach build/detached-sig build/shimx64.efi.signed
	cmp shimx64.efi.signed build/shimx64.efi.signed

clean:
	rm -rf build boot.csv BOOT$(EFI_ARCH).CSV

=== debian/changelog ===
shim-signed (1.33.1~14.04.5) trusty; urgency=medium

  * debian/control: make the sbsigntool dependency versioned to ensure updates
    include getting the new sbsigntool so DKMS modules can be correctly signed.
    (LP: #1818929)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 01 Apr 2019 12:20:03 -0400

shim-signed (1.33.1~14.04.4) trusty; urgency=medium

  * update-secureboot-policy: (LP: #1748983)
    - Backport update-secureboot-policy changes to generate a MOK and guide
      users through re-enabling validation and automatically signing DKMS
      modules.
  * debian/shim-signed.postinst:
    - When triggered, explicitly try to enroll the available MOK.
  * debian/shim-signed.install, openssl.cnf: Install some default configuration
    for creating our self-signed key.
  * debian/shim-signed.dirs: make sure we have a directory where to put a MOK.
  * debian/templates: update templates for update-secureboot-policy changes.
  * debian/control: Breaks dkms (<< 2.2.0.3-1.1ubuntu5.14.04.10~) since we're
    changing the behavior of update-secureboot-policy.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 28 Jan 2019 11:02:00 -0500

shim-signed (1.33.1~14.04.3) trusty; urgency=medium

  * debian/control: Add a Pre-Depends on dpkg (>= 1.17.5ubuntu5.8) in order
    to help ensure upgrades have the right dpkg to be able to extract shim.
    (LP: #1792497)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 25 Oct 2018 11:21:09 -0400

shim-signed (1.33.1~14.04.2) trusty; urgency=medium

  * Depend on the correct version of grub2-common: 2.02~beta2-9ubuntu1.15.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 05 Sep 2018 16:00:53 -0400

shim-signed (1.33.1~14.04.1) trusty; urgency=medium

  * Backport shim-signed 1.33.1 to 14.04. (LP: #1708245)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 11 Jan 2018 15:55:06 -0500

shim-signed (1.33.1) bionic; urgency=medium

  * Update to the signed 13-0ubuntu2 binary from Microsoft. (LP: #1708245)
  * Stop generating and install BOOT.CSV, shim will do that by itself now.
  * Add Vcs-* fields.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 21 Dec 2017 14:33:37 -0500

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
Build-Depends: debhelper (>= 9), shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf
Standards-Version: 3.9.4
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed

Package: shim-signed
Architecture: amd64
Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.02~beta2-9ubuntu1.15), mokutil, sbsigntool (>= 0.6-0ubuntu7.1)
Breaks: dkms (<< 2.2.0.3-1.1ubuntu5.14.04.10)
Recommends: secureboot-db
Built-Using: shim (= ${shim:Version})
Pre-Depends: dpkg (>= 1.17.5ubuntu5.8)
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

=== debian/rules ===
#! /usr/bin/make -f

VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
SHIM_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim)

ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),amd64)
export EFI_ARCH := X64
endif

%:
	dh $@

docdir := debian/shim-signed/usr/share/doc/shim-signed

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(VERSION)+$(SHIM_VERSION) \
		-Vshim:Version=$(SHIM_VERSION)

## shim-signed 1.33.1~16.04.5

=== debian/changelog ===
shim-signed (1.33.1~16.04.5) xenial; urgency=medium

  * debian/control: make the sbsigntool dependency versioned to ensure updates
    include getting the new sbsigntool so DKMS modules can be correctly signed.
    (LP: #1818929) 

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 01 Apr 2019 12:15:21 -0400

shim-signed (1.33.1~16.04.4) xenial; urgency=medium

  * update-secureboot-policy: (LP: #1748983)
    - Backport update-secureboot-policy changes to generate a MOK and guide
      users through re-enabling validation and automatically signing DKMS
      modules.
  * debian/shim-signed.postinst:
    - When triggered, explicitly try to enroll the available MOK.
  * debian/shim-signed.install, openssl.cnf: Install some default configuration
    for creating our self-signed key.
  * debian/shim-signed.dirs: make sure we have a directory where to put a MOK.
  * debian/templates: update templates for update-secureboot-policy changes.
  * debian/control: Breaks dkms (<< 2.2.0.3-2ubuntu11.5~) since we're changing
    the behavior of update-secureboot-policy.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 28 Jan 2019 10:22:31 -0500

shim-signed (1.33.1~16.04.3) xenial; urgency=medium

  * debian/control: Depends: on grub2 2.02~beta2-36ubuntu3.20 to ensure shim
    cannot be installed without the new grub2 version that fixes chainloading
    issues. (LP: #1792575)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 11 Dec 2018 15:37:58 -0500

shim-signed (1.33.1~16.04.2) xenial; urgency=medium

  * Update to the signed 15+1533136590.3beb971-0ubuntu1 binary from Microsoft.
    (LP: #1790724)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 05 Sep 2018 11:23:24 -0400

shim-signed (1.33.1~16.04.1) xenial; urgency=medium

  * Backport shim-signed 1.33.1 to 16.04. (LP: #1708245)
  * debian/control: Depends on newer grub2-common to install the right files
    for MokManager and fallback EFI binaries.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 11 Jan 2018 15:51:52 -0500

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
 
 Package: shim-signed
 Architecture: amd64
-Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.02~beta2-9ubuntu1.15), mokutil, sbsigntool (>= 0.6-0ubuntu7.1)
-Breaks: dkms (<< 2.2.0.3-1.1ubuntu5.14.04.10)
+Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-bin, grub2-common (>= 2.02~beta2-36ubuntu3.20), mokutil, sbsigntool (>= 0.6-0ubuntu10.1)
+Breaks: dkms (<< 2.2.0.3-2ubuntu11.6)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
-Pre-Depends: dpkg (>= 1.17.5ubuntu5.8)
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying
  signatures of other UEFI binaries against either the Secure Boot DB/DBX or
